Holger's Java API

## com.antelmann.net.mail
Class EmailTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.antelmann.util.table.AbstractObjectTableModel<T>
              com.antelmann.util.table.MethodTableModel<Email>
                  com.antelmann.net.mail.EmailTableModel

All Implemented Interfaces:
  ListRetriever<Email>, Refreshable, ObjectTableModel<Email>, Serializable, Iterable<Email>, TableModel

    public class EmailTableModel

extends MethodTableModel<Email>

read-only model based on the values of the methods getFrom(), getSubject(), getSentDate() and getSize().

Since:
  14. Dezember 2006, 21:05
Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.antelmann.util.table.AbstractObjectTableModel
`columnNames, columnTypes`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`EmailTableModel()`
`EmailTableModel(Collection<? extends Email> col)`

Method Summary

Methods inherited from class com.antelmann.util.table.MethodTableModel
`allEditableFrom, allFrom, getColumnClass, getColumnCount, getColumnName, getModelClass, getRepresentationFor, getSetterMethodName, getValueAt, isCellEditable, isColumnEditable, isEnsureAccessibility, isReadOnly, refreshAll, setEnsureAccessibility, setReadOnly, setReadOnlyColumns, setReadOnlyColumns, setValueAt`

Methods inherited from class com.antelmann.util.table.AbstractObjectTableModel
`add, add, clear, contains, getList, getRelevantList, getRelevantListDescription, getRowCount, getRowFor, getRowValue, iterator, moveDown, moveUp, refreshContent, remove, remove, setColumnName, setColumnNames, setColumnType, setColumnTypes, setRowValues, swap`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, removeTableModelListener`

Constructor Detail

### EmailTableModel

    public EmailTableModel()

### EmailTableModel

    public EmailTableModel(Collection<? extends Email> col)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads